#
#
#   CMFReportTool - Generating PDF-Skins on the Fly from CMF-Sites
#
#   Copyright (C) 2002  net-labs Systemhaus GmbH
#                                               info@net-labs.de
#
#   This library is free software; you can redistribute it and/or
#   modify it under the terms of the GNU Lesser General Public
#   License as published by the Free Software Foundation; either
#   version 2.1 of the License, or (at your option) any later version.
#
#   This library is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#   Lesser General Public License for more details.
#
#   You should have received a copy of the GNU Lesser General Public
#   License along with this library; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

"""Portal forms __init__.
$Id: __init__.py,v 1.1.1.1 2002/10/29 20:19:16 ueck Exp $
"""
__version__='$Revision: 1.1.1.1 $'[11:-2]


import ReportTool

from Products.CMFCore import DirectoryView, utils
import Products.CMFCore

ADD_CONTENT_PERMISSION = 'Add portal content'

tools = ( ReportTool.ReportTool, )


import sys
this_module = sys.modules[ __name__ ]

DirectoryView.registerDirectory('skins', globals()) 

cmfreporttool_globals=globals()

def initialize(context):
    
    utils.ToolInit( 'CMF Report Tool'
                  , tools=tools
                  , product_name='CMFReportTool'
                  , icon='tool.gif'
                  ).initialize( context )

    context.registerHelp()

